# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		tzip
Version:	1.12
Release:	14.%{__distinit}%{__distvers}
License:	GPL-1.0-or-later
Source:		tzip-%{version}.tar.gz
Patch0:		tzip-Makefile.patch
Patch1:		tzip-1.12-nostrip.patch
Patch2:		tzip-1.12-warnings.patch
Summary:	Block-sorting data compressor
URL:		ftp://sunsite.unc.edu/pub/Linux/utils/compress/
BuildRequires:	gcc-c++
BuildRequires:	make

%description
tzip is a block-sorting data compressor based on the Burrows-Wheeler
transform.  In writing it I favored code readability over optimization,
and I hope that tzip can serve an educational purpose. Though I have
taken pains to optimize and thoroughly test tzip, I would recommend
Julian Sewards's excellent bzip2 as a production compressor.

%prep
%setup -q
%patch -P 0
%patch -P 1 -p1
%patch -P 2 -p1

%build
make dep
make CCOPTS="%{optflags} %{?__global_ldflags}"

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}
# Makefile doesn't support DESTDIR
%makeinstall

%files
%{_bindir}/tunzip
%{_bindir}/tzip
%{_mandir}/man1/tzip.1*

%changelog
* Thu Mar 30 2023 Paul Howarth <paul@city-fan.org> - 1.12-14
- Use SPDX-format license tag
- Avoid deprecated patch syntax
- Use distribution linker flags

* Thu Nov  1 2018 Paul Howarth <paul@city-fan.org> - 1.12-13
- BR: gcc-c++ rather than gcc

* Thu Aug 10 2017 Paul Howarth <paul@city-fan.org> - 1.12-12
- Specify build requirements
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop %%defattr

* Tue Aug  2 2011 Paul Howarth <paul@city-fan.org> - 1.12-11
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri May 14 2010 Paul Howarth <paul@city-fan.org> - 1.12-10
- Fix dist tag for RHEL-6 Beta

* Wed Feb 24 2010 Paul Howarth <paul@city-fan.org> - 1.12-9
- Dist tag for Rawhide no longer requires special-casing

* Wed Aug 12 2009 Paul Howarth <paul@city-fan.org> - 1.12-8
- Define RPM macros in global scope
- Clarify license as GPL (any version)
- Add patch to fix warnings from recent gcc versions

* Mon Jun  4 2007 Paul Howarth <paul@city-fan.org> - 1.12-7
- Fix distribution tags for Fedora 7 onwards

* Wed Sep  6 2006 Paul Howarth <paul@city-fan.org> - 1.12-6
- Fix distribution tags for development releases

* Mon Aug 14 2006 Paul Howarth <paul@city-fan.org> - 1.12-5
- Simplify distribution-detection
- Remove buildroot unconditionally in %%clean and %%install
- Honour %%{optflags}
- Generate useful data in debuginfo package

* Fri Jun 17 2005 Paul Howarth <paul@city-fan.org> - 1.12-4
- Make sure files are owned by root
- Add %%clean section

* Thu Jun 16 2005 Paul Howarth <paul@city-fan.org> - 1.12-3
- Use distribution identifier in release tag to make upgrades work better
  (different distribution release may have incompatible C ABIs)
- Use standard Fedora BuildRoot

* Tue Feb 10 2004 Paul Howarth <paul@city-fan.org> - 1.12-2
- Started with Adam McKee's default spec file in tarball
- Used more macros, allowed for compressed manpage, corrected
  deprecated Copyright: and Group: tags
- Added BuildRoot
